------------------------------------------------------------------
--                                                              --
-- Licensed Materials - Property of IBM                         --
--                                                              --
-- 5695-101 (C) Copyright IBM Corporation 2004                  --
-- See Copyright Instructions.                                  --
--                                                              --
------------------------------------------------------------------
 
---------------------------------
-- Delete static data for D04 
---------------------------------

-- It's ok if some of these deletes fail. There could be FK dependencies.
 		

delete from TWG.mgrpmbr mm where mm.msmttyp_ID in (
	 select mt.msmttyp_ID from TWG.msmttyp mt where mt.msrc_cd = 'D04'
       );

delete from TWG.msmtrul mr where mr.msmttyp_ID in (
	 select mt.msmttyp_ID from TWG.msmttyp mt where mt.msrc_cd = 'D04'
       ) or 
       mr.comptyp_cd in (
	 select mt.comptyp_cd from TWG.comptyp mt where mt.msrc_corr_cd = 'D04'
       );


delete from TWG.msmt where msrc_corr_cd = 'D04'; 

delete from TWG.active_msmttyp mm where mm.msmttyp_ID in (
	 select mt.msmttyp_ID from TWG.msmttyp mt where mt.msrc_cd = 'D04'
       );


delete from TWG.msmttyp where msrc_cd = 'D04';

delete from TWG.RelnRul rr where rr.comptyp_target_cd in (
	 select mt.comptyp_cd from TWG.comptyp mt where mt.msrc_corr_cd = 'D04'
       ) or 
       rr.comptyp_source_cd in (
	 select mt.comptyp_cd from TWG.comptyp mt where mt.msrc_corr_cd = 'D04'
       );


delete from TWG.compreln where msrc_corr_cd = 'D04';

delete from TWG.CompAttr where msrc_corr_cd ='D04';
 	 
delete from TWG.comp where msrc_corr_cd = 'D04';

delete from TWG.AttrRul aa where aa.comptyp_cd in (
	 select mt.comptyp_cd from TWG.comptyp mt where mt.msrc_corr_cd = 'D04'
       ) or 
       aa.attrtyp_cd in (
	 select mt.attrtyp_cd from TWG.attrtyp mt where mt.msrc_corr_cd = 'D04'
       );


delete from TWG.AttrTyp where msrc_corr_cd = 'D04';

delete from TWG.comptyp where msrc_corr_cd = 'D04';


-- Clean the TWG PRUNE MEASUREMENT CONTROL
delete from TWG.Prune_Msmt_control where MSrc_Cd = 'D04';
delete from TWG.Prune_Msmt_log where MSrc_Cd = 'D04';

delete from TWG.Msrc_History where msrc_cd = 'D04';

delete from TWG.Msrc where msrc_cd = 'D04';

commit;



